Rietveld Code Review Tool
Help | Bug tracker | Discussion group | Source code | Sign in
(762)

Issue 2699041: Reorganize language files and add a new \language command. (Closed)

Can't Edit
Can't Publish+Mail
Start Review
Created:
8 years, 11 months ago by Valentin Villenave
Modified:
8 years, 11 months ago
CC:
lilypond-devel_gnu.org
Visibility:
Public.

Description

Reorganize language files and add a new \language command. This commit adds a new \language command that may be used to select note names language in lieu of the more complicated \include "foobar.ly" syntax. All language files have been emptied and the pitchnames alists have been gathered in a new language-init.ly file. The old syntax is still supported; to avoid code duplication, language files just use the new \language command internally. arabic.ly isn't affected by this change and must still be manually included. This specificity will have to be taken into account when documenting the new syntax.

Patch Set 1 #

Total comments: 2

Patch Set 2 : Add previously-untracked files #

Total comments: 1

Patch Set 3 : Alternative method: one alist to rule them alll¶�®) #

Total comments: 15

Patch Set 4 : take 3: indentation, copyright notices, regtest #

Patch Set 5 : Oh, and to hell with case-insensitiveness. #

Total comments: 3

Patch Set 6 : Move copyright notices, and update changes.tely #

Total comments: 1
Unified diffs Side-by-side diffs Delta from patch set Stats (+1057 lines, -974 lines) Patch
M Documentation/changes.tely View 1 2 3 4 5 1 chunk +8 lines, -0 lines 0 comments Download
A input/regression/note-names.ly View 2 3 1 chunk +27 lines, -0 lines 1 comment Download
M ly/arabic.ly View 1 chunk +1 line, -1 line 0 comments Download
M ly/catalan.ly View 1 2 3 4 5 2 chunks +4 lines, -75 lines 0 comments Download
M ly/declarations-init.ly View 1 chunk +1 line, -2 lines 0 comments Download
M ly/deutsch.ly View 1 2 3 4 5 2 chunks +4 lines, -99 lines 0 comments Download
M ly/english.ly View 1 2 3 4 5 2 chunks +4 lines, -133 lines 0 comments Download
M ly/espanol.ly View 1 2 3 4 5 2 chunks +4 lines, -105 lines 0 comments Download
M ly/italiano.ly View 1 2 3 4 5 2 chunks +4 lines, -99 lines 0 comments Download
A ly/language-init.ly View 2 3 4 5 1 chunk +961 lines, -0 lines 0 comments Download
M ly/music-functions-init.ly View 1 2 3 4 1 chunk +16 lines, -0 lines 0 comments Download
M ly/nederlands.ly View 1 2 3 4 5 1 chunk +3 lines, -95 lines 0 comments Download
M ly/norsk.ly View 1 2 3 4 5 2 chunks +4 lines, -95 lines 0 comments Download
M ly/portugues.ly View 1 2 3 4 5 2 chunks +4 lines, -95 lines 0 comments Download
M ly/suomi.ly View 1 2 3 4 5 2 chunks +4 lines, -59 lines 0 comments Download
M ly/svenska.ly View 1 2 3 4 5 2 chunks +4 lines, -54 lines 0 comments Download
M ly/vlaams.ly View 1 2 3 4 5 2 chunks +4 lines, -62 lines 0 comments Download

Messages

Total messages: 18
Valentin Villenave
Greetings everybody. Third time's a charm: here's a new attempt to get the \language "foobar" ...
8 years, 11 months ago (2010-10-25 00:37:00 UTC) #1
Carl
I like this a lot -- it's looking like real lilypond code, instead of a ...
8 years, 11 months ago (2010-10-25 01:57:56 UTC) #2
Valentin Villenave
On Mon, Oct 25, 2010 at 3:57 AM, <Carl.D.Sorensen@gmail.com> wrote: > Update the \version string ...
8 years, 11 months ago (2010-10-25 02:17:16 UTC) #3
c_sorensen
On 10/24/10 8:17 PM, "Valentin Villenave" <v.villenave@gmail.com> wrote: > On Mon, Oct 25, 2010 at ...
8 years, 11 months ago (2010-10-25 04:16:09 UTC) #4
Patrick McCarty
http://codereview.appspot.com/2699041/diff/9001/input/regression/note-names.ly File input/regression/note-names.ly (right): http://codereview.appspot.com/2699041/diff/9001/input/regression/note-names.ly#newcode8 input/regression/note-names.ly:8: \version "2.13.37" I prefer having \version statements at the ...
8 years, 11 months ago (2010-10-25 04:36:31 UTC) #5
wl_gnu.org
> \language italiano (like \clef treble) is very consistent. So > you've convinced me that ...
8 years, 11 months ago (2010-10-25 05:24:31 UTC) #6
Graham Percival (old account)
It's not _the_ charm, but it's certainly much more charming. Calm down, take your time, ...
8 years, 11 months ago (2010-10-25 08:05:16 UTC) #7
Trevor Daniels
Congratulations, Valentin, you're on to a winner now! I've no comments to add to those ...
8 years, 11 months ago (2010-10-25 08:39:06 UTC) #8
pacovila
2010/10/25 <v.villenave@gmail.com>: > Third time's a charm Congrats! -- Francisco Vila. Badajoz (Spain) www.paconet.org , ...
8 years, 11 months ago (2010-10-25 13:06:24 UTC) #9
Neil Puttock
Hi Valentin, I think this a great improvement on the last patch. Once you've sorted ...
8 years, 11 months ago (2010-10-25 22:26:29 UTC) #10
Valentin Villenave
Greetings everybody, new patch set. Please have a look! \version statements: I have put 2.13.38 ...
8 years, 11 months ago (2010-10-27 00:48:09 UTC) #11
Carl
On 2010/10/27 00:48:09, Valentin Villenave wrote: > Greetings everybody, > > new patch set. Please ...
8 years, 11 months ago (2010-10-27 03:17:24 UTC) #12
Carl
Looks good! See my comments on the UTF-8 characters in the names getting mangled. Thanks, ...
8 years, 11 months ago (2010-10-27 03:23:02 UTC) #13
Graham Percival (old account)
Looks mostly good. http://codereview.appspot.com/2699041/diff/24001/Documentation/changes.tely File Documentation/changes.tely (right): http://codereview.appspot.com/2699041/diff/24001/Documentation/changes.tely#newcode74 Documentation/changes.tely:74: be used in safe mode). The ...
8 years, 11 months ago (2010-10-27 07:08:19 UTC) #14
Valentin Villenave
Greetings everybody, updated patch set. Something keeps removing traling newlines at the end of files, ...
8 years, 11 months ago (2010-10-27 10:08:33 UTC) #15
Graham Percival (old account)
LGTM
8 years, 11 months ago (2010-10-28 03:41:39 UTC) #16
Patrick McCarty
Looks pretty good to me. Just a tiny style nitpick indicated below. Thanks for your ...
8 years, 11 months ago (2010-10-28 05:15:57 UTC) #17
Valentin Villenave
8 years, 11 months ago (2010-10-28 09:37:25 UTC) #18
On Thu, Oct 28, 2010 at 7:15 AM,  <pnorcks@gmail.com> wrote:
> There should be a space between "pitchnames" and "(ly:assoc-get"

Wow, nice catch!

Pfew. Pushed and (hopefully) closed.
Thanks everybody; now comes the documentation work!

Cheers,
Valentin.
Sign in to reply to this message.

Powered by Google App Engine
RSS Feeds Recent Issues | This issue
This is Rietveld f62528b